import { defineStore } from "pinia";
import { ref } from "vue";

/** import Type */
import type { QTableProps } from "quasar";

export const useWorklistDataStore = defineStore("work", () => {
  /** ข้อมูล Table */
  const columns = ref<QTableProps["columns"]>([]);
  const visibleColumns = ref<string[]>([]);

  /** ค้นหาวัน ข้อมูล Table  */
  const selectDate = ref<Date | null>(new Date());

  // convertSatatus
  /**
   * function แปลงค่าสถานะ
   * @param val ค่าสถานนะ
   */
  function convertSatatus(val: string) {
    switch (val) {
      case "NORMAL":
        return "ปกติ";
      case "LATE":
        return "สาย";
      case "ABSENT":
        return "ขาดราชการ";
      default:
        return "-";
    }
  }
  return {
    columns,
    visibleColumns,
    selectDate,
    convertSatatus,
  };
});
